View Issue Details

IDProjectCategoryView StatusLast Update
0002752Path[FreeCAD] Featurepublic2017-11-28 00:34
ReportersliptonicAssigned Tosliptonic 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0002752: Entry method dressup
DescriptionCertain tools are unable to plunge directly into the material. For instance, many cutters have cutting edges only at the periphery so they are unable to cut the area in the center of the tool. These cutters need to be moving horizontally while descending. For this type of tool, a helical or ramp entry method is needed. Other types of tools have similar constraints so alternate entry methods are needed.

Rather than modify all operations to to include options for entry methods, we should create dressup operations to modify existing paths and add the needed entry method at the desired location.
Additional InformationEntry methods needed for:
helical:
  specify location, and radius of helix (or derive from tool)

Ramp:
Specify start and end location.
TagsNo tags attached.

Activities

mlampert

2016-11-19 23:05

developer   ~0007479

Putting this back into the pool for now. I haven't started on this yet and I have some higher priority items on my plate right now

sliptonic

2017-11-28 00:33

developer   ~0010481

We have a dressup for ramp entry that is very complete. It also has a helical method. The helical method doesn't used on pockets doesn't turn a helix at the entry point but rather clears the entire layer as a helix. This isn't perfect but I think is good enough for now. I suggest closing this feature.

Issue History

Date Modified Username Field Change
2016-10-28 04:08 sliptonic New Issue
2016-11-12 06:26 mlampert Assigned To => mlampert
2016-11-12 06:26 mlampert Status new => assigned
2016-11-19 23:05 mlampert Note Added: 0007479
2016-11-19 23:05 mlampert Assigned To mlampert =>
2016-11-19 23:07 mlampert Status assigned => new
2017-11-28 00:33 sliptonic Note Added: 0010481
2017-11-28 00:34 sliptonic Assigned To => sliptonic
2017-11-28 00:34 sliptonic Status new => closed
2017-11-28 00:34 sliptonic Resolution open => fixed
2017-11-28 00:34 sliptonic Fixed in Version => 0.17